Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.runtime
Class SwiftParseUtils

    java.lang.Object
      com.stc.swift.runtime.SwiftParseUtils

    public class SwiftParseUtils

extends java.lang.Object

SwiftParseUtils implementation.

Version:

Nested Class Summary
`static interface` | `SwiftParseUtils.Cat`
`static interface` | `SwiftParseUtils.SubType`
`static interface` | `SwiftParseUtils.Type`

Field Summary
`static boolean[]` | `a_CHAR_SET`
`static int` | `a_CHAR_SET_LIMIT`
`static boolean[]` | `c_CHAR_SET`
`static boolean[]` | `C_CHAR_SET`
`static int` | `c_CHAR_SET_LIMIT`
`static int` | `C_CHAR_SET_LIMIT`
`static java.lang.String` | `DEFAULT_ENCODING`
`static boolean[]` | `h_CHAR_SET`
`static int` | `h_CHAR_SET_LIMIT`
`static boolean[]` | `n_CHAR_SET`
`static boolean[]` | `N_CHAR_SET`
`static int` | `n_CHAR_SET_LIMIT`
`static int` | `N_CHAR_SET_LIMIT`
`static boolean[]` | `s_CHAR_SET`
`static int` | `s_CHAR_SET_LIMIT`
`static boolean[]` | `x_CHAR_SET`
`static int` | `x_CHAR_SET_LIMIT`
`static boolean[]` | `y_CHAR_SET`
`static int` | `y_CHAR_SET_LIMIT`
`static boolean[]` | `z_CHAR_SET`
`static int` | `z_CHAR_SET_LIMIT`

Constructor Summary
`SwiftParseUtils()`

Method Summary
`static byte[]` | `append(byte[] orig, byte[] newData)`
`static byte[]` | `copy(byte[] orig, int start, byte[] newData)`
`static byte[]` | `copy(byte[] orig, int start, byte[] newData, byte[] filler)`
`static byte[]` | `delete(byte[] orig, int start, int upto)`
`static void` | `fill(byte[] target, int start, int stop)`
`static void` | `fill(byte[] target, int start, int stop, byte[] filler)`
`static java.lang.String` | `getCategoryStr(int category)`
`static int` | `getNodeSubType(java.lang.String subType)`
`static java.lang.String` | `getSimpleName(java.lang.Class clazz)`
`static byte[]` | `insert(byte[] orig, int start, byte[] newData)`
`static byte[]` | `insert(byte[] orig, int start, byte[] newData, byte[] filler)`
`static java.lang.String` | `intersect(java.lang.String str1, java.lang.String str2)`
`static byte[]` | `newByteArray(java.lang.String data)`
`static java.lang.String` | `newString(byte[] data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### a_CHAR_SET

    public static final boolean[] a_CHAR_SET

### a_CHAR_SET_LIMIT

    public static final int a_CHAR_SET_LIMIT

### c_CHAR_SET

    public static final boolean[] c_CHAR_SET

### c_CHAR_SET_LIMIT

    public static final int c_CHAR_SET_LIMIT

### C_CHAR_SET

    public static final boolean[] C_CHAR_SET

### C_CHAR_SET_LIMIT

    public static final int C_CHAR_SET_LIMIT

### h_CHAR_SET

    public static final boolean[] h_CHAR_SET

### h_CHAR_SET_LIMIT

    public static final int h_CHAR_SET_LIMIT

### n_CHAR_SET

    public static final boolean[] n_CHAR_SET

### n_CHAR_SET_LIMIT

    public static final int n_CHAR_SET_LIMIT

### N_CHAR_SET

    public static final boolean[] N_CHAR_SET

### N_CHAR_SET_LIMIT

    public static final int N_CHAR_SET_LIMIT

### s_CHAR_SET

    public static final boolean[] s_CHAR_SET

### s_CHAR_SET_LIMIT

    public static final int s_CHAR_SET_LIMIT

### x_CHAR_SET

    public static final boolean[] x_CHAR_SET

### x_CHAR_SET_LIMIT

    public static final int x_CHAR_SET_LIMIT

### y_CHAR_SET

    public static final boolean[] y_CHAR_SET

### y_CHAR_SET_LIMIT

    public static final int y_CHAR_SET_LIMIT

### z_CHAR_SET

    public static final boolean[] z_CHAR_SET

### z_CHAR_SET_LIMIT

    public static final int z_CHAR_SET_LIMIT

Constructor Detail

### SwiftParseUtils

    public SwiftParseUtils()

Method Detail

### getNodeSubType

    public static int getNodeSubType(java.lang.String subType)

### getSimpleName

    public static java.lang.String getSimpleName(java.lang.Class clazz)

### newString

    public static java.lang.String newString(byte[] data)

### newByteArray

    public static byte[] newByteArray(java.lang.String data)

### insert

    public static byte[] insert(byte[] orig,
                                int start,
                                byte[] newData)

### insert

    public static byte[] insert(byte[] orig,
                                int start,
                                byte[] newData,
                                byte[] filler)

### copy

    public static byte[] copy(byte[] orig,
                              int start,
                              byte[] newData)

### copy

    public static byte[] copy(byte[] orig,
                              int start,
                              byte[] newData,
                              byte[] filler)

### append

    public static byte[] append(byte[] orig,
                                byte[] newData)

### delete

    public static byte[] delete(byte[] orig,
                                int start,
                                int upto)

### fill

    public static void fill(byte[] target,
                            int start,
                            int stop)

### fill

    public static void fill(byte[] target,
                            int start,
                            int stop,
                            byte[] filler)

### getCategoryStr

    public static java.lang.String getCategoryStr(int category)

### intersect

    public static java.lang.String intersect(java.lang.String str1,
                                             java.lang.String str2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.